XP(4)

NAME
xp - HD647180X I/O processor

SYNOPSIS
xpbus0 at mainbus0
xp0 at xpbus0

DESCRIPTION
The file /dev/xp is an mmap(2) capable interface to the memory area of the HD647180X I/O processor (so-called "XP") on LUNA-I and LUNA-II. Byte offsets in this file are interpreted as relative memory addresses of the I/O processor. The range should be between 0x0 and 0xffff.

The following ioctl(2) call applies to /dev/xp:

XPIOCDOWNLD struct xp_download
    Load binary and reset I/O processor.

        struct xp_download {
                u_int    size;
        	u_int8_t *data;
        };

    The size member specifies the loading binary size, in bytes. The data member points to the binary image.

FILES
/dev/xp

ERRORS

[EACCES]
    The device is opened without write permission.

[EINVAL]
    The specified size is 0 or more than the I/O processor's memory size.

SEE ALSO
ioctl(2)

HISTORY
The /dev/xp file first appeared in NetBSD 7.1.